Verify and attach a signed immutable checkpoint handoff
POST
/
api
/
v1
/
deployments
/
{name}
/
training-artifacts
Verify and attach a signed immutable checkpoint handoff
curl --request POST \
--url http://127.0.0.1:18000/api/v1/deployments/{name}/training-artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"algorithm": "Ed25519-SHA256",
"digest": "<string>",
"key_id": "<string>",
"payload": "<string>",
"public_key": "<string>",
"signature": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/deployments/{name}/training-artifacts"
payload = {
"algorithm": "Ed25519-SHA256",
"digest": "<string>",
"key_id": "<string>",
"payload": "<string>",
"public_key": "<string>",
"signature": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
algorithm: 'Ed25519-SHA256',
digest: '<string>',
key_id: '<string>',
payload: '<string>',
public_key: '<string>',
signature: '<string>'
})
};
fetch('http://127.0.0.1:18000/api/v1/deployments/{name}/training-artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments/{name}/training-artifacts"
payload := strings.NewReader("{\n \"algorithm\": \"Ed25519-SHA256\",\n \"digest\": \"<string>\",\n \"key_id\": \"<string>\",\n \"payload\": \"<string>\",\n \"public_key\": \"<string>\",\n \"signature\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Stable key used to adopt the original durable operation after retries or disconnects.
Maximum string length:
128Path Parameters
Minimum string length:
1Body
application/json
Response
Created
The response is of type object.
⌘I
Verify and attach a signed immutable checkpoint handoff
curl --request POST \
--url http://127.0.0.1:18000/api/v1/deployments/{name}/training-artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"algorithm": "Ed25519-SHA256",
"digest": "<string>",
"key_id": "<string>",
"payload": "<string>",
"public_key": "<string>",
"signature": "<string>"
}
'import requests
url = "http://127.0.0.1:18000/api/v1/deployments/{name}/training-artifacts"
payload = {
"algorithm": "Ed25519-SHA256",
"digest": "<string>",
"key_id": "<string>",
"payload": "<string>",
"public_key": "<string>",
"signature": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
algorithm: 'Ed25519-SHA256',
digest: '<string>',
key_id: '<string>',
payload: '<string>',
public_key: '<string>',
signature: '<string>'
})
};
fetch('http://127.0.0.1:18000/api/v1/deployments/{name}/training-artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments/{name}/training-artifacts"
payload := strings.NewReader("{\n \"algorithm\": \"Ed25519-SHA256\",\n \"digest\": \"<string>\",\n \"key_id\": \"<string>\",\n \"payload\": \"<string>\",\n \"public_key\": \"<string>\",\n \"signature\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}